using System;
class HelloWorld {
  static void Main() {
    var s = Console.ReadLine().Split();
    int x = int.Parse(s[0]);
    int y = int.Parse(s[1]);
    s = Console.ReadLine().Split();
    int a = int.Parse(s[0]);
    int b = int.Parse(s[1]);
    if(x == a && y == b) Console.Write("nijedan");
    else if (x == a && y > b) Console.Write("drugi");
    else if(y==b && x > a )Console.Write("prvi");
    else Console.Write("?");
  }
}